Pistis
API referenceChanging a session

Click or type on the screen

POST
/sessions/{id}/screen/input

One input for the sandbox's browser, from the person in control (403 from anyone else). Send them one at a time, in order. Never recorded.

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Path Parameters

id*string

A session id

Request Body

application/json
  1. body
input*|||

Response Body

Sent to the screen

Example Request
curl -X POST 'http://127.0.0.1:7777/sessions/ses_6c1f2a0b9d3e4f5a6b7c/screen/input' \  -H 'Content-Type: application/json' \  -d '{  "input": {    "type": "mouse",    "action": "down",    "x": 640,    "y": 400  }}'
Example Response
Empty